<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }

    public function roles()
    {
        // ritornare view con lista ruoli
       return view('administration.roles.list', ['ruoli'=>User::getAllRoles()]);
    }

    public function permissions()
    {
        // ritornare view con lista permessi
        return view('administration.permissions.list', ['permessi'=>User::getAllPermissions()]);
    }

    public function users()
    {
        // ritornare view con lista utenti
        return view('administration.users.list', ['utenti'=>User::all()]);
    }
}
