<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cliente extends Model
{
    use HasFactory;

    protected $fillable=[
        'Nome',
        'Cognome',
        'Azienda',
        'CodiceFiscale',
        'PartitaIva',
        'Indirizzo',
        'Cap',
        'Citta',
        'Provincia',
        'Nazione',
        'Telefono',
        'Cellulare',
        'Email',
        'Note',
    ];

    public static function getClienteById($id)
    {
        return self::find($id);
    }

    public static function saveNewCliente($parm)
    {
        self::create([
            'Nome'=>$parm['nome'],
            'Cognome'=>$parm['cognome'],
            'Azienda'=>$parm['azienda'],
            'CodiceFiscale'=>$parm['codfis'],
            'PartitaIva'=>$parm['piva'],
            'Indirizzo'=>$parm['indirizzo'],
            'Cap'=>$parm['cap'],
            'Citta'=>$parm['citta'],
            'Provincia'=>$parm['prov'],
            'Nazione'=>$parm['nazione'],
            'Telefono'=>$parm['tel'],
            'Cellulare'=>$parm['cellulare'],
            'Email'=>$parm['email'],
            'Note'=>$parm['note'],
        ]);
    }

    public static function updateCliente($parm){
        $id = $parm['id'];
        $cliente = self::find($id);
        $cliente->Nome = $parm['nome'];
        $cliente->Cognome = $parm['cognome'];
        $cliente->Azienda = $parm['azienda'];
        $cliente->CodiceFiscale = $parm['codfis'];
        $cliente->PartitaIva = $parm['piva'];
        $cliente->Indirizzo = $parm['indirizzo'];
        $cliente->Cap = $parm['cap'];
        $cliente->Citta = $parm['citta'];
        $cliente->Provincia = $parm['prov'];
        $cliente->Nazione = $parm['nazione'];
        $cliente->Telefono = $parm['tel'];
        $cliente->Cellulare = $parm['cellulare'];
        $cliente->Email = $parm['email'];
        $cliente->Note = $parm['note'];
        $cliente->save();
    }

    public static function deleteCliente($id)
    {
        $cliente = self::find($id);
        $cliente->delete();
    }


}
