@extends('layouts.app')
@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">{{ __('Clienti') }}</div>
                <div class="card-body" >
                    <div class="row py-2">
                        <div class="col d-inline-flex p-2">
                            <a href="/cliente/new" class="btn btn-primary shadow">Nuovo Cliente</a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <table class="table table-responsive">
                                <thead>
                                    <tr>
                                        <th> Id </th>
                                        <th> Cognome </th>
                                        <th> Nome </th>
                                        <th> Azienda </th>
                                        <th> E-mail </th>
                                        <th> Telefono </th>
                                        <th> Cellulare </th>
                                        <th> Città </th>
                                        <th> Azioni </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($clienti as $cliente)
                                    <tr>
                                        <td><a href="/cliente/edit/{{$cliente->id}}" class="btn btn-warning">{{$cliente->id}}</a></td>
                                        <td>{{$cliente->Cognome}}</td>
                                        <td>{{$cliente->Nome}}</td>
                                        <td>{{$cliente->Azienda}}</td>
                                        <td><a href="mailto:{{$cliente->Email}}">{{$cliente->Email}}</a></td>
                                        <td><a href="sip:{{$cliente->Telefono}}">{{$cliente->Telefono}}</a></td>
                                        <td><a href="tel:{{$cliente->Cellulare}}">{{$cliente->Cellulare}}</td>
                                        <td>{{$cliente->Citta}}</td>
                                        <td><a href="/cliente/informativa/{{$cliente->id}}"" class="btn btn-primary">Inf.Privacy</td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
