<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['register'=>false]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::middleware(['auth'])->group(function () {
    Route::get('/admin/roles',[App\Http\Controllers\HomeController::class, 'roles'])->name('ruoli');
    Route::get('/admin/permissions',[App\Http\Controllers\HomeController::class, 'permissions'])->name('permessi');
    Route::get('/admin/users',[App\Http\Controllers\HomeController::class, 'users'])->name('utenti');
    Route::get('/cliente',[App\Http\Controllers\ClienteController::class,'listCliente'])->name('ListCliente');
    Route::get('/cliente/new',[App\Http\Controllers\ClienteController::class,'newCliente'])->name('ListCliente');
    Route::post('/cliente/new',[App\Http\Controllers\ClienteController::class,'saveCliente']);
    Route::get('/cliente/edit/{id}',[App\Http\Controllers\ClienteController::class, 'editCliente']);
    Route::post('/cliente/edit/{id}',[App\Http\Controllers\ClienteController::class, 'updateCliente']);
    Route::get('/cliente/informativa/{id}',[App\Http\Controllers\ClienteController::class, 'informativaCliente']);
});

